Recurring campaigns
GET https://pushye.com/api/recurring-campaigns/
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, title, description, url. |
| website_id | 선택 사항 정수 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: last_run_datetime, next_run_datetime, datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 18:36:09",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/recurring-campaigns?page=1",
"last": "https://pushye.com/api/recurring-campaigns?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/recurring-campaigns?page=1"
}
}
GET https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 18:36:09",
}
}
POST https://pushye.com/api/recurring-campaigns
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| website_id | 필수 정수 | - |
| name | 필수 문자열 | - |
| title | 필수 문자열 | - |
| description | 필수 문자열 | - |
| url | 선택 사항 문자열 | - |
| image | 선택 사항 파일 | - |
| button_title_1 | 선택 사항 문자열 | - |
| button_url_1 | 선택 사항 문자열 | - |
| button_title_2 | 선택 사항 문자열 | - |
| button_url_2 | 선택 사항 문자열 | - |
| is_silent | 선택 사항 부울 | - |
| is_auto_hide | 선택 사항 부울 | - |
| ttl | 선택 사항 문자열 | 허용된 값: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | 선택 사항 문자열 | - |
| utm_medium | 선택 사항 문자열 | - |
| utm_campaign | 선택 사항 문자열 | - |
| frequency | 선택 사항 문자열 | 허용된 값: daily, weekly, monthly |
| week_days | 선택 사항 문자열 |
허용된 값: 1, 2, 3, 4, 5, 6, 7 사용 가능 시: frequency = weekly |
| month_days | 선택 사항 문자열 |
허용된 값: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 사용 가능 시: frequency = monthly |
| time | 선택 사항 문자열 | HH:II |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| website_id | 선택 사항 정수 | - |
| name | 선택 사항 문자열 | - |
| title | 선택 사항 문자열 | - |
| description | 선택 사항 문자열 | - |
| url | 선택 사항 문자열 | - |
| image | 선택 사항 파일 | - |
| button_title_1 | 선택 사항 문자열 | - |
| button_url_1 | 선택 사항 문자열 | - |
| button_title_2 | 선택 사항 문자열 | - |
| button_url_2 | 선택 사항 문자열 | - |
| is_silent | 선택 사항 부울 | - |
| is_auto_hide | 선택 사항 부울 | - |
| ttl | 선택 사항 문자열 | 허용된 값: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | 선택 사항 문자열 | - |
| utm_medium | 선택 사항 문자열 | - |
| utm_campaign | 선택 사항 문자열 | - |
| frequency | 선택 사항 문자열 | 허용된 값: daily, weekly, monthly |
| week_days | 선택 사항 문자열 |
허용된 값: 1, 2, 3, 4, 5, 6, 7 사용 가능 시: frequency = weekly |
| month_days | 선택 사항 문자열 |
허용된 값: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 사용 가능 시: frequency = monthly |
| time | 선택 사항 문자열 | HH:II |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \